Package org.eclipse.emf.cdo.common.revision.delta

# Enum Class CDOFeatureDelta.Type

java.lang.Object
java.lang.Enum<CDOFeatureDelta.Type>
org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOFeatureDelta.Type>`, `java.lang.constant.Constable`

Enclosing interface:
  `CDOFeatureDelta`

public static enum CDOFeatureDelta.Type extends Enum<CDOFeatureDelta.Type>
Enumerates the possible types of `feature deltas`.

Author:
  Simon McDuff

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`CLEAR`
`CONTAINER`
`LIST`
`MOVE`
`REMOVE`
`SET`
`UNSET`

## Method Summary

Modifier and Type
Method
Description
`static CDOFeatureDelta.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOFeatureDelta.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final CDOFeatureDelta.Type ADD

### REMOVE

public static final CDOFeatureDelta.Type REMOVE

### CLEAR

public static final CDOFeatureDelta.Type CLEAR

### MOVE

public static final CDOFeatureDelta.Type MOVE

### SET

public static final CDOFeatureDelta.Type SET

### UNSET

public static final CDOFeatureDelta.Type UNSET

### LIST

public static final CDOFeatureDelta.Type LIST

### CONTAINER

public static final CDOFeatureDelta.Type CONTAINER

## Method Details

### values

public static CDOFeatureDelta.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOFeatureDelta.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null